    /*Example sketch to control a stepper motor with A4988/DRV8825 stepper motor driver and Arduino without a library. More info: https://www.makerguides.com */
    // Define stepper motor connections and steps per revolution:
    #define dirPin 2
    #define stepPin 3
    #define stepsPerRevolution 200
    #define stepsPerScan 10
    void setup() {
      // Declare pins as output:
      pinMode(stepPin, OUTPUT);
      pinMode(dirPin, OUTPUT);
    }
    void loop() {
      static int counter = 0;
  if(Serial.available()>0) // is there any unread serial data?
    {
    char ch = Serial.read();    // read a character from the serial port
    Serial.print("echo");Serial.println(ch); // echo back so that it is displayed in DAVID debug console
    if (ch == '2')              // is it the character for the number 2?
      {
      counter = counter + 1;    // increment the scan count
     digitalWrite(dirPin, HIGH);
      // Spin the stepper motor 1 revolution slowly:
      for (int i = 0; i < stepsPerScan; i++) {
        // These four lines result in 1 step:
        digitalWrite(stepPin, HIGH);
        delayMicroseconds(3000);
        digitalWrite(stepPin, LOW);
        delayMicroseconds(3000);
      }
      delay(1000);      
       if (counter == 5)    // we have performed a full rotation
        {
          counter = 0;      // reset for next scan
        }
      else
        {
        Serial.println("S"); // Tell DAVID to do another Scan
        }
      }
    }  // end Serial.available
      delay(1000);
    }
